#Trap #7 - Spiked Hammer
# 4d8+4, save vs. DX
from eventAPI import *
from APIUtils import *

def fireEvent(e):
    lFlagS = getTag(e, "lFlagS")
    if (not issetany(lFlagS, 0x00000300)):
        return 1
    if (isclearall(lFlagS, 0x00000002)):
        showMessage(e, ["A giant hammer, studded with spikes, swings down from the ceiling amidst the party"], optionInput)
        for partyIdx in range(getPartyCount(e)):
            if (not savingThrow(e, "dex", partyIdx, 0)):
                dmg = dice(4, 8, 4)
                modifyHP(e, partyIdx, -dmg)
    return 1
